User Entitlement Summary - Get
Get summary of Licenses, Extension, Projects, Groups and their assignments in the collection.
GET https://vsaex.dev.azure.com/{organization}/_apis/userentitlementsummary?api-version=5.1-preview.1
GET https://vsaex.dev.azure.com/{organization}/_apis/userentitlementsummary?select={select}&api-version=5.1-preview.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '5.1-preview.1' to use this version of the api. |
|
select
|
query |
string |
Comma (",") separated list of properties to select. Supported property names are {AccessLevels, Licenses, Extensions, Projects, Groups}. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.memberentitlementmanagement | Grants the ability to read users, their licenses as well as projects and extensions they can access |
Definitions
| Name | Description |
|---|---|
|
Access |
License assigned to a user |
|
Account |
Type of Account License (e.g. Express, Stakeholder etc.) |
|
Account |
User status in the account |
|
Assignment |
Assignment Source of the License (e.g. Group, Unknown etc. |
|
Extension |
Summary of Extensions in the organization. |
| Group |
Project Group (e.g. Contributor, Reader etc.) |
|
Group |
Group option to add a user to |
|
Group |
Group Type |
|
License |
Summary of Licenses in the organization. |
|
Licensing |
Licensing Source (e.g. Account. MSDN etc.) |
|
Minimum |
Minimum License Required for the Extension. |
|
Msdn |
Type of MSDN License (e.g. Visual Studio Professional, Visual Studio Enterprise etc.) |
|
Project |
A reference to a project |
|
Users |
Summary of licenses and extensions assigned to users in the organization |
AccessLevel
License assigned to a user
| Name | Type | Description |
|---|---|---|
| accountLicenseType |
Type of Account License (e.g. Express, Stakeholder etc.) |
|
| assignmentSource |
Assignment Source of the License (e.g. Group, Unknown etc. |
|
| licenseDisplayName |
string |
Display name of the License |
| licensingSource |
Licensing Source (e.g. Account. MSDN etc.) |
|
| msdnLicenseType |
Type of MSDN License (e.g. Visual Studio Professional, Visual Studio Enterprise etc.) |
|
| status |
User status in the account |
|
| statusMessage |
string |
Status message. |
AccountLicenseType
Type of Account License (e.g. Express, Stakeholder etc.)
| Value | Description |
|---|---|
| none | |
| earlyAdopter | |
| express | |
| professional | |
| advanced | |
| stakeholder |
AccountUserStatus
User status in the account
| Value | Description |
|---|---|
| none | |
| active |
User has signed in at least once to the VSTS account |
| disabled |
User cannot sign in; primarily used by admin to temporarily remove a user due to absence or license reallocation |
| deleted |
User is removed from the VSTS account by the VSTS account admin |
| pending |
User is invited to join the VSTS account by the VSTS account admin, but has not signed up/signed in yet |
| expired |
User can sign in; primarily used when license is in expired state and we give a grace period |
| pendingDisabled |
User is disabled; if reenabled, they will still be in the Pending state |
AssignmentSource
Assignment Source of the License (e.g. Group, Unknown etc.
| Value | Description |
|---|---|
| none | |
| unknown | |
| groupRule |
ExtensionSummaryData
Summary of Extensions in the organization.
| Name | Type | Description |
|---|---|---|
| assigned |
integer (int32) |
Count of Licenses already assigned. |
| assignedThroughSubscription |
integer (int32) |
Count of Extension Licenses assigned to users through msdn. |
| available |
integer (int32) |
Available Count. |
| extensionId |
string |
Gallery Id of the Extension |
| extensionName |
string |
Friendly name of this extension |
| includedQuantity |
integer (int32) |
Quantity |
| isTrialVersion |
boolean |
Whether its a Trial Version. |
| minimumLicenseRequired |
Minimum License Required for the Extension. |
|
| remainingTrialDays |
integer (int32) |
Days remaining for the Trial to expire. |
| total |
integer (int32) |
Total Count. |
| trialExpiryDate |
string (date-time) |
Date on which the Trial expires. |
Group
Project Group (e.g. Contributor, Reader etc.)
| Name | Type | Description |
|---|---|---|
| displayName |
string |
Display Name of the Group |
| groupType |
Group Type |
GroupOption
Group option to add a user to
| Name | Type | Description |
|---|---|---|
| accessLevel |
Access Level |
|
| group |
Group |
GroupType
Group Type
| Value | Description |
|---|---|
| projectStakeholder | |
| projectReader | |
| projectContributor | |
| projectAdministrator | |
| custom |
LicenseSummaryData
Summary of Licenses in the organization.
| Name | Type | Description |
|---|---|---|
| accountLicenseType |
Type of Account License. |
|
| assigned |
integer (int32) |
Count of Licenses already assigned. |
| available |
integer (int32) |
Available Count. |
| disabled |
integer (int32) |
Count of Disabled Licenses. |
| includedQuantity |
integer (int32) |
Quantity |
| isPurchasable |
boolean |
Designates if this license quantity can be changed through purchase |
| licenseName |
string |
Name of the License. |
| msdnLicenseType |
Type of MSDN License. |
|
| nextBillingDate |
string (date-time) |
Specifies the date when billing will charge for paid licenses |
| source |
Source of the License. |
|
| total |
integer (int32) |
Total Count. |
| totalAfterNextBillingDate |
integer (int32) |
Total license count after next billing cycle |
LicensingSource
Licensing Source (e.g. Account. MSDN etc.)
| Value | Description |
|---|---|
| none | |
| account | |
| msdn | |
| profile | |
| auto | |
| trial |
MinimumRequiredServiceLevel
Minimum License Required for the Extension.
| Value | Description |
|---|---|
| none |
No service rights. The user cannot access the account |
| express |
Default or minimum service level |
| advanced |
Premium service level - either by purchasing on the Azure portal or by purchasing the appropriate MSDN subscription |
| advancedPlus |
Only available to a specific set of MSDN Subscribers |
| stakeholder |
Stakeholder service level |
MsdnLicenseType
Type of MSDN License (e.g. Visual Studio Professional, Visual Studio Enterprise etc.)
| Value | Description |
|---|---|
| none | |
| eligible | |
| professional | |
| platforms | |
| testProfessional | |
| premium | |
| ultimate | |
| enterprise |
ProjectRef
A reference to a project
| Name | Type | Description |
|---|---|---|
| id |
string (uuid) |
Project ID. |
| name |
string |
Project Name. |
UsersSummary
Summary of licenses and extensions assigned to users in the organization
| Name | Type | Description |
|---|---|---|
| availableAccessLevels |
Available Access Levels |
|
| extensions |
Summary of Extensions in the organization |
|
| groupOptions |
Group Options |
|
| licenses |
Summary of Licenses in the organization |
|
| projectRefs |
Summary of Projects in the organization |